# Uses of Class
org.eclipse.gef.mvc.fx.models.SelectionModel

Packages that use SelectionModel
Package
Description
org.eclipse.gef.mvc.fx.behaviors
This package contains JavaFX/MVC.FX-specific `IBehavior` implementations.
org.eclipse.gef.mvc.fx.operations
This package contains all `IUndoableOperation` implementations contributed by MVC.FX.

## Uses of SelectionModel in org.eclipse.gef.mvc.fx.behaviors

Methods in org.eclipse.gef.mvc.fx.behaviors that return SelectionModel
Modifier and Type
Method
Description
`protected SelectionModel`
SelectionBehavior.`getSelectionModel()`
Returns the `SelectionModel` in the context of the `host`.

## Uses of SelectionModel in org.eclipse.gef.mvc.fx.operations

Methods in org.eclipse.gef.mvc.fx.operations that return SelectionModel
Modifier and Type
Method
Description
`protected SelectionModel`
ChangeSelectionOperation.`getSelectionModel()`
Returns the `SelectionModel` adapted to the viewer.
`protected SelectionModel`
DeselectOperation.`getSelectionModel()`
Returns the `SelectionModel` adapted to the viewer.
`protected SelectionModel`
SelectOperation.`getSelectionModel()`
Returns the `SelectionModel` adapted to the viewer.